<?php

class MostrarRutas {

    private $conexion;

    public function __construct($conn) {
        $this->conexion = $conn;
    }

    public function ObtenerTodasLasRutas() {
        // Ahora se incluye el campo enlace_mapa
        $sql = "SELECT id, nombre_ruta, km_estimado, descripcion, enlace_mapa FROM rutas";

        $result = $this->conexion->executeQuery($sql);

        $rutas = [];

        if ($result && $result->num_rows > 0) {
            while ($row = $result->fetch_assoc()) {
                $rutas[] = $row;
            }
        }

        return $rutas;
    }

}
?>
